/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.definition.activity;

import org.ow2.orchestra.facade.runtime.ActivityType;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;
import org.ow2.orchestra.pvm.internal.model.NodeImpl;

/**
 * @author S. Ali Tokmen
 */
public class CatchAllActivity extends BaseCatchActivity {

  private static final long serialVersionUID = -5725617377170564316L;

  protected CatchAllActivity() {
    // Keep Hibernate happy
    super(null, null, null);
  }

  public CatchAllActivity(final NodeImpl child, final ActivityDefinitionUUID uuid, final String name) {
    super(child, uuid, name);
  }

  @Override
  public ActivityType getType() {
    return ActivityType.CATCHALL_HANDLER;
  }

}
