/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.definition.element;

import org.ow2.orchestra.definition.activity.AbstractBpelActivity;

/**
 * a link for controlling synchronization between multiple concurrent paths of
 * execution inside a flow activity.
 * 
 * @author Goulven Le Jeune, Charles Souillard, Candy Chlad, Stanislas Giraudet
 *         De Boudemange, Tom Baeyens
 */
public class Link {

  /** serialVersionUID. */
  protected static final long serialVersionUID = 1L;

  /** name attribute of this link. */
  protected String name = null;

  /** enclosing activity of the source of this link. */
  protected AbstractBpelActivity sourceActivity;

  /** enclosing activity of the target of this link. */
  protected AbstractBpelActivity targetActivity;

  public String getName() {
    return this.name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String toString() {
    return "link name=" + name;
  }

  public AbstractBpelActivity getSourceActivity() {
    return sourceActivity;
  }

  public void setSourceActivity(AbstractBpelActivity sourceActivity) {
    this.sourceActivity = sourceActivity;
  }

  public AbstractBpelActivity getTargetActivity() {
    return targetActivity;
  }

  public void setTargetActivity(AbstractBpelActivity targetActivity) {
    this.targetActivity = targetActivity;
  }
}
