/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.definition.element;

import javax.xml.namespace.QName;

import org.ow2.orchestra.pvm.internal.model.VariableDefinitionImpl;

/**
 * declaration of a variable in a bpel process.
 *
 * @author Charles Souillard, Tom Baeyens
 */
public class Variable extends VariableDefinitionImpl {

  private static final long serialVersionUID = 7921696230594148306L;

  /** messageType attribute of this variable. */
  protected QName messageType;

  /** xmlType attribute of this variable. */
  protected QName xmlType;

  /** element attribute of this variable. */
  protected QName element;

  /**
   * Virtual copy to initialized the variable if it has an inline from-spec.
   */
  protected Copy virtualCopy;

  public static final String OUTBOUND_ANONYMOUS_WSDL_MESSAGE_NAME = "ORCHESTRA_4_OUTBOUND_WSDL_MESSAGE";

  public static final String INBOUND_ANONYMOUS_WSDL_MESSAGE_NAME = "ORCHESTRA_4_INBOUND_WSDL_MESSAGE";

  public Copy getVirtualCopy() {
    return this.virtualCopy;
  }

  public QName getElement() {
    return this.element;
  }

  public QName getMessageType() {
    return this.messageType;
  }

  public String getName() {
    return this.key;
  }

  public QName getXmlType() {
    return this.xmlType;
  }

  public void setVirtualCopy(final Copy virtualCopy) {
    this.virtualCopy = virtualCopy;
  }

  public void setElement(final QName element) {
    this.element = element;
  }

  public void setMessageType(final QName messageType) {
    this.messageType = messageType;
  }

  public void setName(final String name) {
    this.key = name;
  }

  public void setXmlType(final QName type) {
    this.xmlType = type;
  }

}
