package org.ow2.orchestra.env;

import java.net.URL;
import java.net.URLClassLoader;

/**
 * @author Guillaume Porcher
 *
 */
public final class EnvironmentResourcesLoader extends URLClassLoader {

  /**
   * @param urls
   * @param parent
   */
  public EnvironmentResourcesLoader(final URL envUrl, final ClassLoader parent) {
    super(new URL[] {envUrl}, parent);
  }
  @Override
  public URL getResource(final String name) {
    final URL url = this.findResource(name);
    if (url != null) {
      return url;
    } else {
      return super.getResource(name);
    }
  }
}