package org.ow2.orchestra.env.binding;

import java.util.List;

import org.ow2.orchestra.pvm.internal.util.TagBinding;
import org.ow2.orchestra.pvm.internal.wire.descriptor.ArgDescriptor;
import org.ow2.orchestra.pvm.internal.wire.descriptor.ObjectDescriptor;
import org.ow2.orchestra.pvm.internal.wire.xml.WireParser;
import org.ow2.orchestra.pvm.internal.xml.Parse;
import org.ow2.orchestra.pvm.internal.xml.Parser;
import org.ow2.orchestra.util.XmlUtil;
import org.w3c.dom.Element;

public class ImplementationBinding extends TagBinding {


  public ImplementationBinding(final String tagName) {
    super(tagName, null, WireParser.CATEGORY_DESCRIPTOR);
  }

  public Object parse(final Element element, final Parse parse, final Parser parser) {
    final ObjectDescriptor descriptor = new ObjectDescriptor();
    if (!element.hasAttribute("class")) {
      parse.addProblem("element '" + XmlUtil.getTagLocalName(element)
          + " must have a 'class' attribute");
    }
    final String type = element.getAttribute("class");
    descriptor.setClassName(type);

    final List<Element> argElements = XmlUtil.elements(element, "arg");
    final List<ArgDescriptor> argDescriptors = ((WireParser) parser).parseArgs(argElements, parse);
    descriptor.setArgDescriptors(argDescriptors);

    return descriptor;
  }

}
