/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.env.binding;

import org.ow2.orchestra.pvm.internal.util.TagBinding;
import org.ow2.orchestra.pvm.internal.wire.binding.ListBinding;
import org.ow2.orchestra.pvm.internal.wire.descriptor.ArgDescriptor;
import org.ow2.orchestra.pvm.internal.wire.descriptor.ListDescriptor;
import org.ow2.orchestra.pvm.internal.wire.descriptor.ObjectDescriptor;
import org.ow2.orchestra.pvm.internal.wire.xml.WireParser;
import org.ow2.orchestra.pvm.internal.xml.Parse;
import org.ow2.orchestra.pvm.internal.xml.Parser;
import org.ow2.orchestra.services.impl.QuerierListAccessor;
import org.w3c.dom.Element;

/**
 *
 * @author Marc Blachon, Guillaume Porcher, Charles Souillard, Miguel Valdes, Pierre Vigneras
 */
public class QuerierListAccessorBinding extends TagBinding {

  public QuerierListAccessorBinding() {
    super("queryApi", null, WireParser.CATEGORY_DESCRIPTOR);
  }

  public Object parse(final Element element, final Parse parse, final Parser parser) {
    final ObjectDescriptor chainDescriptor = new ObjectDescriptor();

    final ListDescriptor listDescriptor = (ListDescriptor) new ListBinding().parse(element, parse, parser);
    final ArgDescriptor argDescriptor = new ArgDescriptor();
    argDescriptor.setDescriptor(listDescriptor);

    chainDescriptor.setClassName(QuerierListAccessor.class.getName());
    chainDescriptor.addArgDescriptor(argDescriptor);

    return chainDescriptor;
  }

}
