package org.ow2.orchestra.env.descriptor;

import org.hibernate.Session;
import org.ow2.orchestra.persistence.db.QuerierDbSessionImpl;
import org.ow2.orchestra.pvm.internal.wire.WireContext;
import org.ow2.orchestra.pvm.internal.wire.WireDefinition;
import org.ow2.orchestra.pvm.internal.wire.WireException;
import org.ow2.orchestra.pvm.internal.wire.descriptor.AbstractDescriptor;

public class QuerierDbSessionDescriptor extends
    AbstractDescriptor {

  private static final long serialVersionUID = 1L;

  protected String sessionName = null;

  public Object construct(final WireContext wireContext) {
    // get the hibernate-session
    Session session = null;
    if (this.sessionName != null) {
      session = (Session) wireContext.get(this.sessionName);
      if (session == null) {
        throw new WireException("couldn't find hibernate-session '"
            + this.sessionName + "'"
            + "to create hibernate-bpel-persistence-service");
      }
    } else {
      session = wireContext.get(Session.class);
      if (session == null) {
        throw new WireException("couldn't find hibernate-session by type "
            + "to create hibernate-bpel-persistence-service");
      }
    }

    // create the hibernate-persistence-service
    return new QuerierDbSessionImpl(session);
  }

  @Override
  public Class< ? > getType(final WireDefinition wireDefinition) {
    return QuerierDbSessionImpl.class;
  }

  public void setSessionName(final String sessionName) {
    this.sessionName = sessionName;
  }
}
