package org.ow2.orchestra.env.descriptor;

import org.hibernate.Session;
import org.ow2.orchestra.persistence.db.RuntimeDbSessionImpl;
import org.ow2.orchestra.pvm.internal.wire.WireContext;
import org.ow2.orchestra.pvm.internal.wire.WireDefinition;
import org.ow2.orchestra.pvm.internal.wire.WireException;
import org.ow2.orchestra.pvm.internal.wire.descriptor.AbstractDescriptor;

public class RuntimeDbSessionDescriptor extends
    AbstractDescriptor {

  private static final long serialVersionUID = 1L;

  protected String sessionName = null;

  public Object construct(WireContext wireContext) {
    // get the hibernate-session
    Session session = null;
    if (sessionName != null) {
      session = (Session) wireContext.get(sessionName);
      if (session == null) {
        throw new WireException("couldn't find hibernate-session '"
            + sessionName + "'"
            + "to create hibernate-bpel-persistence-service");
      }
    } else {
      session = wireContext.get(Session.class);
      if (session == null) {
        throw new WireException("couldn't find hibernate-session by type "
            + "to create hibernate-bpel-persistence-service");
      }
    }

    // create the hibernate-persistence-service
    return new RuntimeDbSessionImpl(session);
  }

  public Class< ? > getType(WireDefinition wireDefinition) {
    return RuntimeDbSessionImpl.class;
  }

  public void setSessionName(String sessionName) {
    this.sessionName = sessionName;
  }
}
