/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.def.full;

import javax.xml.namespace.QName;

import org.ow2.orchestra.facade.def.FromPartDefinition;
import org.ow2.orchestra.facade.def.InvokeActivityDefinition;
import org.ow2.orchestra.facade.def.ToPartDefinition;

/**
 *
 * @author Gael Lalire
 */
public interface InvokeActivityFullDefinition extends InvokeActivityDefinition, BpelActivityFullDefinition {

  void addFromPartDefinition(FromPartDefinition fromPartDefinition);

  void addToPartDefinition(ToPartDefinition toPartDefinition);

  void setInputVariable(String inputVariable);

  /**
   * @param outputVariable the outputVariable to set
   */
  void setOutputVariable(String outputVariable);

  /**
   * @param operation the operation to set
   */
  void setOperation(String operation);

  /**
   * @param portType the portType to set
   */
  void setPortType(QName portType);

  void setPartnerLink(String partnerLinkName);

}
