/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.def.full;

import java.util.List;

import javax.xml.namespace.QName;

import org.ow2.orchestra.facade.FullCopyAble;
import org.ow2.orchestra.facade.def.CorrelationDefinition;
import org.ow2.orchestra.facade.def.FromPartDefinition;
import org.ow2.orchestra.facade.def.OnEventDefinition;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;

public interface OnEventFullDefinition extends OnEventDefinition, FullCopyAble<OnEventFullDefinition> {

  void setVariable(String variable);

  void setPortType(QName portType);

  void setPartnerLink(String partnerLink);

  void setOperation(String operation);

  void setMessageExchange(String messageExchange);

  void setFromPartDefinition(List<FromPartDefinition> fromPartDefinitionList);

  void setCorrelationDefinition(List<CorrelationDefinition> correlationList);

  void setEnclosedActivityFullDefinition(BpelActivityFullDefinition activityFullDefinition);

  void setActivityDefinitionUUID(ActivityDefinitionUUID activityDefinitionUUID);

  BpelActivityFullDefinition getActivityFullDefinition();
}
