/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.def.full;

import java.util.List;
import java.util.Set;

import org.ow2.orchestra.facade.def.CorrelationSetDefinition;
import org.ow2.orchestra.facade.def.PartnerLinkDefinition;
import org.ow2.orchestra.facade.def.ScopeActivityDefinition;
import org.ow2.orchestra.facade.def.VariableDefinition;

/**
 * @author Alfonso Fuca, S. Ali Tokmen
 */
public interface ScopeActivityFullDefinition extends ScopeActivityDefinition, BpelActivityWithSingleChildFullDefinition {

  void setExitOnStandardFault(final boolean exitOnStandardFault);

  void setVariableDefinition(final List<VariableDefinition> variableDefinitions);

  void setCorrelationSetDefinition(final List<CorrelationSetDefinition> correlationSetDefinitions);

  void setPartnerLinkDefinition(final List<PartnerLinkDefinition> partnerLinkDefinitions);

  void setMessageExchange(final Set<String> messageExchangeList);

  List<BaseCatchFullDefinition< ? >> getFaultHandlers();

  void setFaultHandlers(final List<BaseCatchFullDefinition< ? >> faultHandlers);

  TerminationHandlerFullDefinition getTerminationHandler();

  void setTerminationHandler(TerminationHandlerFullDefinition terminationHandler);

  CompensationHandlerFullDefinition getCompensationHandler();

  void setCompensationHandler(CompensationHandlerFullDefinition compensationHandler);

  List<OnEventFullDefinition> getOnEventEventHandlers();

  void setOnEventEventHandlers(List<OnEventFullDefinition> onEventEventHandlers);

  List<OnAlarmFullDefinition> getOnAlarmEventHandlers();

  void setOnAlarmEventHandlers(List<OnAlarmFullDefinition> onAlarmEventHandlers);
}
