/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.def.full.impl;

import java.util.ArrayList;
import java.util.List;

import org.ow2.orchestra.facade.FullCopyUtil;
import org.ow2.orchestra.facade.def.AssignActivityDefinition;
import org.ow2.orchestra.facade.def.CopyDefinition;
import org.ow2.orchestra.facade.def.full.AssignActivityFullDefinition;
import org.ow2.orchestra.facade.def.impl.AssignActivityDefinitionImpl;
import org.ow2.orchestra.facade.runtime.ActivityType;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;
import org.ow2.orchestra.facade.uuid.ProcessDefinitionUUID;

public class AssignActivityFullDefinitionImpl extends BpelActivityFullDefinitionImpl implements AssignActivityFullDefinition {

  private static final long serialVersionUID = -7139805213347265086L;

  private boolean validate;

  private List<CopyDefinition> copyDefinitionList;

  protected AssignActivityFullDefinitionImpl() {
  }

  public AssignActivityFullDefinitionImpl(final ProcessDefinitionUUID processUUID,
    final ActivityDefinitionUUID activityDefinitionUUID, final String name) {
    super(activityDefinitionUUID, processUUID, name);
    this.copyDefinitionList = new ArrayList<CopyDefinition>();
  }

  public AssignActivityFullDefinitionImpl(final AssignActivityFullDefinition assignActivityFullDefinitionImpl) {
    super(assignActivityFullDefinitionImpl);
    this.validate = assignActivityFullDefinitionImpl.isValidate();
    this.copyDefinitionList = FullCopyUtil.fullCopyList((List) assignActivityFullDefinitionImpl.getCopyDefinitions());
  }

  @Override
  public ActivityType getType() {
    return ActivityType.ASSIGN;
  }

  public void setValidate(final boolean validate) {

  }

  public boolean isValidate() {
    return validate;
  }

  public AssignActivityDefinition copy() {
    return new AssignActivityDefinitionImpl(this);
  }

  public AssignActivityFullDefinition fullCopy() {
    return new AssignActivityFullDefinitionImpl(this);
  }

  public void setCopyDefinitions(final List<CopyDefinition> copyDefinitionList) {
    this.copyDefinitionList = copyDefinitionList;
  }

  public List<CopyDefinition> getCopyDefinitions() {
    return copyDefinitionList;
  }

}
