/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.def.full.impl;

import org.ow2.orchestra.facade.FullCopyUtil;
import org.ow2.orchestra.facade.def.full.BaseFCTFullDefinition;
import org.ow2.orchestra.facade.def.full.BpelActivityFullDefinition;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;
import org.ow2.orchestra.facade.uuid.ProcessDefinitionUUID;
import org.ow2.orchestra.util.Misc;

public abstract class BaseFCTFullDefinitionImpl extends ActivityFullDefinitionImpl implements
  BaseFCTFullDefinition {

  private static final long serialVersionUID = 3923986677198695102L;

  protected BpelActivityFullDefinition enclosedActivity;

  protected BaseFCTFullDefinitionImpl() {
  }

  public BaseFCTFullDefinitionImpl(final ActivityDefinitionUUID uuid, final ProcessDefinitionUUID processUUID,
    final String name) {
    super(uuid, processUUID, name);
  }

  public BaseFCTFullDefinitionImpl(final BaseFCTFullDefinition activityFullDefinition) {
    super(activityFullDefinition);
    this.enclosedActivity = (BpelActivityFullDefinition) FullCopyUtil.fullCopy(activityFullDefinition.getEnclosedActivity());
  }

  public void setEnclosedActivity(final BpelActivityFullDefinition enclosedActivity) {
    if (this.enclosedActivity != null) {
      Misc.unreachableStatement(this + " has more than one enclosed activity");
    }
    this.enclosedActivity = enclosedActivity;
  }

  public BpelActivityFullDefinition getEnclosedActivity() {
    return this.enclosedActivity;
  }

  public ActivityDefinitionUUID getEnclosedActivityUUID() {
    return this.enclosedActivity.getUUID();
  }

}
