/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.def.full.impl;

import org.ow2.orchestra.facade.def.CatchAllDefinition;
import org.ow2.orchestra.facade.def.full.CatchAllFullDefinition;
import org.ow2.orchestra.facade.def.impl.CatchAllDefinitionImpl;
import org.ow2.orchestra.facade.runtime.ActivityType;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;
import org.ow2.orchestra.facade.uuid.ProcessDefinitionUUID;

/**
 * @author S. Ali Tokmen
 */
public class CatchAllFullDefinitionImpl extends BaseCatchFullDefinitionImpl<CatchAllDefinition> implements CatchAllFullDefinition {

  private static final long serialVersionUID = 4815713686376588626L;

  protected CatchAllFullDefinitionImpl() {
  }

  public CatchAllFullDefinitionImpl(final ActivityDefinitionUUID uuid, final ProcessDefinitionUUID processUUID,
    final String name) {
    super(uuid, processUUID, name);
  }

  public CatchAllFullDefinitionImpl(final CatchAllFullDefinition catchAllFullDefinition) {
    super(catchAllFullDefinition);
  }

  public CatchAllDefinition copy() {
    return new CatchAllDefinitionImpl(this);
  }

  public CatchAllFullDefinition fullCopy() {
    return new CatchAllFullDefinitionImpl(this);
  }

  @Override
  public ActivityType getType() {
    return ActivityType.CATCHALL_HANDLER;
  }

}
