/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.def.full.impl;

import javax.xml.namespace.QName;

import org.ow2.orchestra.facade.def.CatchDefinition;
import org.ow2.orchestra.facade.def.full.CatchFullDefinition;
import org.ow2.orchestra.facade.def.impl.CatchDefinitionImpl;
import org.ow2.orchestra.facade.runtime.ActivityType;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;
import org.ow2.orchestra.facade.uuid.ProcessDefinitionUUID;

/**
 * @author S. Ali Tokmen
 */
public class CatchFullDefinitionImpl extends BaseCatchFullDefinitionImpl<CatchDefinition> implements CatchFullDefinition {

  private static final long serialVersionUID = -713427028900198412L;

  protected QName faultElement;

  protected QName faultMessageType;

  protected QName faultName;

  protected String faultVariable;

  protected CatchFullDefinitionImpl() {
  }

  public CatchFullDefinitionImpl(final ActivityDefinitionUUID uuid, final ProcessDefinitionUUID processUUID,
    final String name) {
    super(uuid, processUUID, name);
  }

  public CatchFullDefinitionImpl(final CatchFullDefinition catchFullDefinition) {
    super(catchFullDefinition);
    this.faultElement = catchFullDefinition.getFaultElement();
    this.faultMessageType = catchFullDefinition.getFaultMessageType();
    this.faultName = catchFullDefinition.getFaultName();
    this.faultVariable = catchFullDefinition.getFaultVariable();
  }

  public QName getFaultElement() {
    return this.faultElement;
  }

  public void setFaultElement(final QName faultElement) {
    this.faultElement = faultElement;
  }

  public QName getFaultMessageType() {
    return this.faultMessageType;
  }

  public void setFaultMessageType(final QName faultMessageType) {
    this.faultMessageType = faultMessageType;
  }

  public QName getFaultName() {
    return this.faultName;
  }

  public void setFaultName(final QName faultName) {
    this.faultName = faultName;
  }

  public String getFaultVariable() {
    return this.faultVariable;
  }

  public void setFaultVariable(final String faultVariable) {
    this.faultVariable = faultVariable;
  }

  public CatchDefinition copy() {
    return new CatchDefinitionImpl(this);
  }

  public CatchFullDefinition fullCopy() {
    return new CatchFullDefinitionImpl(this);
  }

  @Override
  public ActivityType getType() {
    return ActivityType.CATCH_HANDLER;
  }

}
