/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.def.full.impl;

import org.ow2.orchestra.facade.FullCopyUtil;
import org.ow2.orchestra.facade.def.ElseDefinition;
import org.ow2.orchestra.facade.def.full.BpelActivityFullDefinition;
import org.ow2.orchestra.facade.def.full.ElseFullDefinition;
import org.ow2.orchestra.facade.def.impl.ElseDefinitionImpl;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;

public class ElseFullDefinitionImpl implements ElseFullDefinition {

  private ActivityDefinitionUUID activityDefinitionUUID;

  private BpelActivityFullDefinition activityFullDefinition;


  public ElseFullDefinitionImpl() {
  }

  public ElseFullDefinitionImpl(final ElseFullDefinition elseFullDefinition) {
    this.activityDefinitionUUID = elseFullDefinition.getActivityDefinitionUUID();
    this.activityFullDefinition = (BpelActivityFullDefinition) FullCopyUtil.fullCopy(elseFullDefinition.getActivityDefinition());
  }

  public BpelActivityFullDefinition getActivityDefinition() {
    return this.activityFullDefinition;
  }

  public void setActivityDefinitionUUID(final ActivityDefinitionUUID activityDefinitionUUID) {
    this.activityDefinitionUUID = activityDefinitionUUID;
  }

  public ActivityDefinitionUUID getActivityDefinitionUUID() {
    return this.activityDefinitionUUID;
  }

  public ElseDefinition copy() {
    return new ElseDefinitionImpl(this);
  }

  public ElseFullDefinition fullCopy() {
    return new ElseFullDefinitionImpl(this);
  }

  public void setEnclosedActivityFullDefinition(final BpelActivityFullDefinition activityFullDefinition) {
    this.activityFullDefinition = activityFullDefinition;
  }

}
