/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.def.full.impl;

import org.ow2.orchestra.facade.FullCopyUtil;
import org.ow2.orchestra.facade.def.ElseIfDefinition;
import org.ow2.orchestra.facade.def.full.BpelActivityFullDefinition;
import org.ow2.orchestra.facade.def.full.ElseIfFullDefinition;
import org.ow2.orchestra.facade.def.impl.ElseIfDefinitionImpl;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;

public class ElseIfFullDefinitionImpl implements ElseIfFullDefinition {

  private String expressionLanguage;

  private String expression;

  private BpelActivityFullDefinition activityFullDefinition;

  private ActivityDefinitionUUID activityDefinitionUUID;

  public ElseIfFullDefinitionImpl() {
  }

  public ElseIfFullDefinitionImpl(final ElseIfFullDefinition elseIfFullDefinition) {
    this.expression = elseIfFullDefinition.getExpression();
    this.expressionLanguage = elseIfFullDefinition.getExpressionLanguage();
    this.activityFullDefinition = (BpelActivityFullDefinition) FullCopyUtil.fullCopy(elseIfFullDefinition.getActivityDefinition());
    this.activityDefinitionUUID = this.activityFullDefinition.getUUID();
  }

  public BpelActivityFullDefinition getActivityDefinition() {
    return this.activityFullDefinition;
  }

  public ActivityDefinitionUUID getActivityDefinitionUUID() {
    return this.activityDefinitionUUID;
  }

  public String getExpression() {
    return this.expression;
  }

  public String getExpressionLanguage() {
    return this.expressionLanguage;
  }

  public ElseIfDefinition copy() {
    return new ElseIfDefinitionImpl(this);
  }

  public ElseIfFullDefinition fullCopy() {
    return new ElseIfFullDefinitionImpl(this);
  }

  public void setEnclosedActivityFullDefinition(final BpelActivityFullDefinition activityFullDefinition) {
    this.activityFullDefinition = activityFullDefinition;
  }

  public void setActivityDefinitionUUID(final ActivityDefinitionUUID activityDefinitionUUID) {
    this.activityDefinitionUUID = activityDefinitionUUID;
  }

  public void setExpression(final String expression) {
    this.expression = expression;
  }

  public void setExpressionLanguage(final String expressionLanguage) {
    this.expressionLanguage = expressionLanguage;
  }

}
