/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.def.full.impl;

import org.ow2.orchestra.facade.def.EmptyActivityDefinition;
import org.ow2.orchestra.facade.def.full.EmptyActivityFullDefinition;
import org.ow2.orchestra.facade.def.impl.EmptyActivityDefinitionImpl;
import org.ow2.orchestra.facade.runtime.ActivityType;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;
import org.ow2.orchestra.facade.uuid.ProcessDefinitionUUID;

public class EmptyActivityFullDefinitionImpl extends BpelActivityFullDefinitionImpl implements EmptyActivityFullDefinition {

  private static final long serialVersionUID = 1784299670747455732L;

  protected EmptyActivityFullDefinitionImpl() {
  }

  public EmptyActivityFullDefinitionImpl(final ProcessDefinitionUUID processUUID,
    final ActivityDefinitionUUID activityDefinitionUUID, final String name) {
    super(activityDefinitionUUID, processUUID, name);
  }

  public EmptyActivityFullDefinitionImpl(final EmptyActivityFullDefinition emptyActivityFullDefinition) {
    super(emptyActivityFullDefinition);
  }

  @Override
  public ActivityType getType() {
    return ActivityType.EMPTY;
  }

  public EmptyActivityDefinition copy() {
    return new EmptyActivityDefinitionImpl(this);
  }

  public EmptyActivityFullDefinition fullCopy() {
    return new EmptyActivityFullDefinitionImpl(this);
  }

}
