/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.def.full.impl;

import java.util.ArrayList;
import java.util.List;

import org.ow2.orchestra.facade.def.FlowActivityDefinition;
import org.ow2.orchestra.facade.def.full.FlowActivityFullDefinition;
import org.ow2.orchestra.facade.def.impl.FlowActivityDefinitionImpl;
import org.ow2.orchestra.facade.runtime.ActivityType;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;
import org.ow2.orchestra.facade.uuid.ProcessDefinitionUUID;

/**
 *
 * @author Alfonso Fuca
 */
public class FlowActivityFullDefinitionImpl extends BpelActivityWithChildrenFullDefinitionImpl implements FlowActivityFullDefinition {

  private List<String> linkList;

  protected FlowActivityFullDefinitionImpl(){
  }

  public FlowActivityFullDefinitionImpl(final FlowActivityFullDefinition flowActivityFullDefinition) {
    super(flowActivityFullDefinition);
    this.linkList = new ArrayList<String>();
    this.linkList.addAll(flowActivityFullDefinition.getLinks());
  }

  public FlowActivityFullDefinitionImpl(final ProcessDefinitionUUID processDefinitionUUID,
    final ActivityDefinitionUUID activityDefinitionUUID, final String name) {
    super(activityDefinitionUUID, processDefinitionUUID, name);
    this.linkList = new ArrayList<String>();
  }

  @Override
  public ActivityType getType() {
    return ActivityType.FLOW;
  }

  public void setLinks(final List<String> linkList) {
    this.linkList.addAll(linkList);
  }

  public FlowActivityDefinition copy() {
    return new FlowActivityDefinitionImpl(this);
  }

  public FlowActivityFullDefinition fullCopy() {
    return new FlowActivityFullDefinitionImpl(this);
  }

  public List<String> getLinks() {
    return linkList;
  }

}
