/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.def.full.impl;

import org.ow2.orchestra.facade.def.FromDefinition;
import org.ow2.orchestra.facade.def.LiteralDefinition;
import org.ow2.orchestra.facade.def.full.FromFullDefinition;
import org.ow2.orchestra.facade.def.impl.FromDefinitionImpl;

/**
 *
 * @author Alfonso Fuca
 */
public class FromFullDefinitionImpl extends FromToFullDefinitionImpl implements FromFullDefinition {

  private static final long serialVersionUID = -4589598017463415198L;

  private LiteralDefinition literal;

  public FromFullDefinitionImpl() {
    super();
  }

  public FromFullDefinitionImpl(final FromFullDefinition fromFullDefinition) {
    super(fromFullDefinition);
    this.literal = fromFullDefinition.getLiteral();
  }

  public FromDefinition copy() {
    return new FromDefinitionImpl(this);
  }

  public FromFullDefinition fullCopy() {
    return new FromFullDefinitionImpl(this);
  }

  public LiteralDefinition getLiteral() {
    return literal;
  }

  public void setLiteral(final LiteralDefinition literal) {
    this.literal = literal;
  }

}
