/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.def.full.impl;

import javax.xml.namespace.QName;

import org.ow2.orchestra.facade.def.Variant;
import org.ow2.orchestra.facade.def.full.FromToFullDefinition;

public class FromToFullDefinitionImpl implements FromToFullDefinition {

  private static final long serialVersionUID = 3005350517602545103L;

  private Variant variant;

  private String variable;

  private QName property;

  private String partnerLink;

  private String part;

  private String expressionLanguage;

  private String endpointReference;

  private String expression;

  private String query;

  private String queryLanguage;

  protected FromToFullDefinitionImpl() {
  }

  public FromToFullDefinitionImpl(final FromToFullDefinition fromToFullDefinition) {
    this.variant = fromToFullDefinition.getVariant();
    this.variable = fromToFullDefinition.getVariable();
    this.property = fromToFullDefinition.getProperty();
    this.partnerLink = fromToFullDefinition.getPartnerLink();
    this.part = fromToFullDefinition.getPart();
    this.expressionLanguage = fromToFullDefinition.getExpressionLanguage();
    this.endpointReference = fromToFullDefinition.getEndpointReference();
    this.expression = fromToFullDefinition.getExpression();
    this.query = fromToFullDefinition.getQuery();
    this.queryLanguage = fromToFullDefinition.getQueryLanguage();
  }

  public String getEndpointReference() {
    return endpointReference;
  }

  public String getExpressionLanguage() {
    return expressionLanguage;
  }

  public String getPart() {
    return part;
  }

  public String getPartnerLink() {
    return partnerLink;
  }

  public QName getProperty() {
    return property;
  }

  public String getVariable() {
    return variable;
  }

  public Variant getVariant() {
    return variant;
  }

  public void setVariant(final Variant variant) {
    this.variant = variant;
  }

  public void setVariable(final String variable) {
    this.variable = variable;
  }

  public void setProperty(final QName property) {
    this.property = property;
  }

  public void setPartnerLink(final String partnerLink) {
    this.partnerLink = partnerLink;
  }

  public void setPart(final String part) {
    this.part = part;
  }

  public void setExpressionLanguage(final String expressionLanguage) {
    this.expressionLanguage = expressionLanguage;
  }

  public void setEndpointReference(final String endpointReference) {
    this.endpointReference = endpointReference;
  }

  public String getExpression() {
    return expression;
  }

  public void setExpression(final String expression) {
    this.expression = expression;
  }

  public String getQuery() {
    return query;
  }

  public String getQueryLanguage() {
    return queryLanguage;
  }

  public void setQuery(final String query) {
    this.query = query;
  }
  public void setQueryLanguage(final String queryLanguage) {
    this.queryLanguage = queryLanguage;
  }
}
