/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.def.full.impl;

import org.ow2.orchestra.facade.def.Target;
import org.ow2.orchestra.facade.def.full.TargetFull;
import org.ow2.orchestra.facade.def.impl.TargetImpl;

/**
 *
 * @author Gael Lalire
 */
public class TargetFullImpl implements TargetFull {

  private static final long serialVersionUID = 251548583429212381L;

  protected long dbid;

  private String linkName;

  protected TargetFullImpl() {
  }

  public TargetFullImpl(final TargetFull src) {
    linkName = src.getLinkName();
  }

  public TargetFullImpl(final String linkName) {
    this.linkName = linkName;
  }

  public String getLinkName() {
    return linkName;
  }

  public Target copy() {
    return new TargetImpl(this);
  }

  public TargetFull fullCopy() {
    return new TargetFullImpl(this);
  }

}
