/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.def.full.impl;

import javax.xml.namespace.QName;

import org.ow2.orchestra.facade.def.ThrowActivityDefinition;
import org.ow2.orchestra.facade.def.full.ThrowActivityFullDefinition;
import org.ow2.orchestra.facade.def.impl.ThrowActivityDefinitionImpl;
import org.ow2.orchestra.facade.runtime.ActivityType;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;
import org.ow2.orchestra.facade.uuid.ProcessDefinitionUUID;

/**
 * @author S. Ali Tokmen
 */
public class ThrowActivityFullDefinitionImpl extends BpelActivityFullDefinitionImpl implements ThrowActivityFullDefinition {

  private static final long serialVersionUID = -3310064268004492189L;

  private QName faultName;

  private String faultVariable;

  protected ThrowActivityFullDefinitionImpl() {
  }

  public ThrowActivityFullDefinitionImpl(final ProcessDefinitionUUID processUUID,
    final ActivityDefinitionUUID activityDefinitionUUID, final String name) {
    super(activityDefinitionUUID, processUUID, name);
  }

  public ThrowActivityFullDefinitionImpl(final ThrowActivityFullDefinition throwActivityFullDefinition) {
    super(throwActivityFullDefinition);
    this.faultName = throwActivityFullDefinition.getFaultName();
    this.faultVariable = throwActivityFullDefinition.getFaultVariable();
  }

  @Override
  public ActivityType getType() {
    return ActivityType.THROW;
  }

  public ThrowActivityDefinition copy() {
    return new ThrowActivityDefinitionImpl(this);
  }

  public ThrowActivityFullDefinition fullCopy() {
    return new ThrowActivityFullDefinitionImpl(this);
  }

  public QName getFaultName() {
    return faultName;
  }

  public void setFaultName(final QName faultName) {
    this.faultName = faultName;
  }

  public String getFaultVariable() {
    return faultVariable;
  }

  public void setFaultVariable(final String faultVariable) {
    this.faultVariable = faultVariable;
  }

}
