/**
 * Copyright (C) 2008 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.def.full.impl;

import org.ow2.orchestra.facade.def.impl.UnknownActivityDefinitionImpl;
import org.ow2.orchestra.facade.runtime.ActivityType;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;
import org.ow2.orchestra.facade.uuid.ProcessDefinitionUUID;

/**
 * This class should be used only if issue occurs.
 *
 * @author Gael Lalire
 */
public class UnknownActivityFullDefinitionImpl extends BpelActivityWithChildrenFullDefinitionImpl {

  private static final long serialVersionUID = 7944907518288403820L;

  @Override
  public ActivityType getType() {
    return ActivityType.UNKNOWN_ACTIVITY;
  }


  protected UnknownActivityFullDefinitionImpl() {
  }

  public UnknownActivityFullDefinitionImpl(final UnknownActivityFullDefinitionImpl record) {
    super(record);
  }

  public UnknownActivityFullDefinitionImpl(final ProcessDefinitionUUID processUUID, final ActivityDefinitionUUID activityUUID,
    final String name) {
    super(activityUUID, processUUID, name);
  }

  public UnknownActivityFullDefinitionImpl fullCopy() {
    return new UnknownActivityFullDefinitionImpl(this);
  }

  public UnknownActivityDefinitionImpl copy() {
    return new UnknownActivityDefinitionImpl(this);
  }

}
