/**
 * Copyright (C) 2006-2009  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.facade.runtime.full;

import org.ow2.orchestra.facade.CopyAble;
import org.ow2.orchestra.facade.FullCopyAble;
import org.ow2.orchestra.facade.exception.BpelFaultException;
import org.ow2.orchestra.facade.runtime.ActivityInstance;

/**
 * This interface if dedicated to internal use.
 *
 * @author Gael Lalire, Guillaume Porcher, S. Ali Tokmen
 */
public interface ActivityFullInstance extends ActivityInstance, FullRuntimeInstance, CopyAble<ActivityInstance>,
  FullCopyAble<ActivityFullInstance> {

  /**
   * @param lastException The last exception thrown by this activity
   */
  void setLastException(BpelFaultException lastException);

  boolean isSingleChildActivity();
  boolean isChildrenActivity();
}
