/**
 * Copyright (C) 2008-2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.runtime.full;

import java.util.List;

import org.ow2.orchestra.facade.runtime.ScopeActivityInstance;

/**
 * @author Gael Lalire, S. Ali Tokmen
 */
public interface ScopeActivityFullInstance extends ScopeActivityInstance, ActivityWithSingleChildFullInstance {

  /**
   * @param faultHandlerActivity The fault handler activity that's been executed
   *          for this scope.
   */
  void setFaultHandlerActivityInstance(ActivityWithSingleChildFullInstance faultActivity);

  /**
   * @return The fault handler activity that's been executed for this scope,
   *         null if no such activity executed for this scope.
   */
  ActivityWithSingleChildFullInstance getFaultHandlerActivityInstance();

  /**
   * @param terminationHandlerActivity The termination handler activity that's
   *          been executed for this scope.
   */
  void setTerminationHandlerActivityInstance(TerminationHandlerActivityFullInstance terminationActivity);

  /**
   * @return The termination handler activity that's been executed for this
   *         scope, null if no such activity executed for this scope.
   */
  TerminationHandlerActivityFullInstance getTerminationHandlerActivityInstance();

  /**
   * @param compensationHandlerActivity The compensation handler activity that's
   *          been executed for this scope.
   */
  void setCompensationHandlerActivityInstance(CompensationHandlerActivityFullInstance compensationActivity);

  /**
   * @return The compensation handler activity that's been executed for this
   *         scope, null if no such activity executed for this scope.
   */
  CompensationHandlerActivityFullInstance getCompensationHandlerActivityInstance();

  List<ScopeActivityFullInstance> getEventInstances();

  void addEventInstance(ScopeActivityFullInstance eventInstance);

}
