/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.runtime.full.impl;

import org.ow2.orchestra.facade.runtime.ActivityInstance;
import org.ow2.orchestra.facade.runtime.ActivityType;
import org.ow2.orchestra.facade.runtime.full.ActivityFullInstance;
import org.ow2.orchestra.facade.runtime.full.CompensateActivityFullInstance;
import org.ow2.orchestra.facade.runtime.impl.CompensateActivityInstanceImpl;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;
import org.ow2.orchestra.facade.uuid.ActivityInstanceUUID;
import org.ow2.orchestra.facade.uuid.ProcessDefinitionUUID;
import org.ow2.orchestra.facade.uuid.ProcessInstanceUUID;

/**
 * @author S. Ali Tokmen
 */
public class CompensateActivityFullInstanceImpl extends ActivityFullInstanceImpl implements CompensateActivityFullInstance {

  private static final long serialVersionUID = 5040186855690835415L;

  protected CompensateActivityFullInstanceImpl() {
  }

  public CompensateActivityFullInstanceImpl(final ActivityInstanceUUID uuid,
    final ActivityDefinitionUUID definitionUUID,
    final ProcessDefinitionUUID processUUID,
    final ProcessInstanceUUID instanceUUID) {
    super(uuid, definitionUUID, processUUID, instanceUUID);
  }

  public CompensateActivityFullInstanceImpl(final CompensateActivityFullInstanceImpl record) {
    super(record);
  }

  @Override
  public ActivityType getType() {
    return ActivityType.COMPENSATE;
  }

  public ActivityInstance copy() {
    return new CompensateActivityInstanceImpl(this);
  }

  public ActivityFullInstance fullCopy() {
    return new CompensateActivityFullInstanceImpl(this);
  }
}
