/**
 * Copyright (C) 2008 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.runtime.full.impl;

import org.ow2.orchestra.facade.runtime.ActivityType;
import org.ow2.orchestra.facade.runtime.full.SequenceActivityFullInstance;
import org.ow2.orchestra.facade.runtime.impl.SequenceActivityInstanceImpl;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;
import org.ow2.orchestra.facade.uuid.ActivityInstanceUUID;
import org.ow2.orchestra.facade.uuid.ProcessDefinitionUUID;
import org.ow2.orchestra.facade.uuid.ProcessInstanceUUID;

/**
 *
 * @author Alfonso Fuca
 */
public class SequenceActivityFullInstanceImpl extends ActivityWithChildrenFullInstanceImpl implements
  SequenceActivityFullInstance {

  private static final long serialVersionUID = 4547237533978484166L;

  protected SequenceActivityFullInstanceImpl() {
  }

  public SequenceActivityFullInstanceImpl(final ActivityInstanceUUID uuid, final ActivityDefinitionUUID definitionUUID,
    final ProcessDefinitionUUID processUUID,
    final ProcessInstanceUUID instanceUUID) {
    super(uuid, definitionUUID, processUUID, instanceUUID);
  }

  public SequenceActivityFullInstanceImpl(final SequenceActivityFullInstance record) {
    super(record);
  }

  @Override
  public ActivityType getType() {
    return ActivityType.SEQUENCE;
  }

  public SequenceActivityFullInstanceImpl fullCopy() {
    return new SequenceActivityFullInstanceImpl(this);
  }

  public SequenceActivityInstanceImpl copy() {
    return new SequenceActivityInstanceImpl(this);
  }

}
