/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.runtime.full.impl;

import java.util.Date;

import org.ow2.orchestra.facade.runtime.TransitionConditionUpdate;
import org.ow2.orchestra.facade.runtime.impl.TransitionConditionUpdateImpl;

public class TransitionConditionUpdateFullImpl implements TransitionConditionUpdate {

  private static final long serialVersionUID = -6509465225290029838L;

  // for persistence
  protected long dbid;

  private boolean status;

  private String name;

  private Date date;

  protected TransitionConditionUpdateFullImpl() {
  }

  public TransitionConditionUpdateFullImpl(final boolean status, final String name, final Date date) {
    this.status = status;
    this.name = name;
    this.date = date;
  }

  public TransitionConditionUpdateFullImpl(final TransitionConditionUpdate transitionConditionUpdate) {
    status = transitionConditionUpdate.getStatus();
    name = transitionConditionUpdate.getName();
    date = new Date(transitionConditionUpdate.getDate().getTime());
  }

  public boolean getStatus() {
    return status;
  }

  public String getName() {
    return name;
  }

  public Date getDate() {
    return date;
  }

  public TransitionConditionUpdate copy() {
    return new TransitionConditionUpdateImpl(this);
  }

}
