/**
 * Copyright (C) 2008 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.runtime.full.impl;

import org.ow2.orchestra.facade.runtime.ActivityType;
import org.ow2.orchestra.facade.runtime.impl.UnknownActivityInstanceImpl;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;
import org.ow2.orchestra.facade.uuid.ActivityInstanceUUID;
import org.ow2.orchestra.facade.uuid.ProcessDefinitionUUID;
import org.ow2.orchestra.facade.uuid.ProcessInstanceUUID;

/**
 * This class should be used only if issue occurs.
 *
 * @author Gael Lalire
 */
public class UnknownActivityFullInstanceImpl extends ActivityWithChildrenFullInstanceImpl {

  private static final long serialVersionUID = 7944907518288403820L;

  @Override
  public ActivityType getType() {
    return ActivityType.UNKNOWN_ACTIVITY;
  }


  protected UnknownActivityFullInstanceImpl() {
  }

  public UnknownActivityFullInstanceImpl(final UnknownActivityFullInstanceImpl record) {
    super(record);
  }

  public UnknownActivityFullInstanceImpl(final ActivityInstanceUUID activityUUID, final ActivityDefinitionUUID definitionUUID, final ProcessDefinitionUUID processUUID,
    final ProcessInstanceUUID instanceUUID) {
    super(activityUUID, definitionUUID, processUUID, instanceUUID);
  }

  public UnknownActivityFullInstanceImpl fullCopy() {
    return new UnknownActivityFullInstanceImpl(this);
  }

  public UnknownActivityInstanceImpl copy() {
    return new UnknownActivityInstanceImpl(this);
  }

}
