/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.parsing.binding;

import org.ow2.orchestra.definition.activity.Scope;
import org.ow2.orchestra.facade.def.full.ScopeActivityFullDefinition;
import org.ow2.orchestra.facade.def.full.impl.ScopeActivityFullDefinitionImpl;
import org.ow2.orchestra.facade.runtime.ActivityType;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;
import org.ow2.orchestra.facade.uuid.ProcessDefinitionUUID;
import org.ow2.orchestra.pvm.internal.xml.Parse;
import org.ow2.orchestra.pvm.internal.xml.Parser;
import org.ow2.orchestra.util.Misc;
import org.w3c.dom.Element;

/**
 * This class allow to parse standard attribute of an implicit scope activity
 * @author Gael Lalire
 */
public class ImplicitScopeBinding extends ActivityBinding {

  public ImplicitScopeBinding() {
    super("scope", ActivityType.SCOPE);
  }

  public Object parse(final Element element, final Parse parse, final Parser parser) {
    Misc.unreachableStatement("implicit scope cannot be a default binding");
    return null;
  }

  public void parseStandardAttributes(final Element element, final Scope scope, final Parse parse) {
    super.parseStandardAttributes(element, scope, parse);
  }

  @Override
  public ScopeActivityFullDefinition createActivityFullDefinition(final ProcessDefinitionUUID processDefinitionUUID,
    final ActivityDefinitionUUID activityDefinitionUUID, final String name, final Parse parse) {
    return new ScopeActivityFullDefinitionImpl(processDefinitionUUID, activityDefinitionUUID, name);
  }


}
