package org.ow2.orchestra.parsing.binding;

import org.ow2.orchestra.definition.activity.Scope;
import org.ow2.orchestra.facade.def.full.BpelActivityFullDefinition;
import org.ow2.orchestra.facade.runtime.ActivityType;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;
import org.ow2.orchestra.facade.uuid.ProcessDefinitionUUID;
import org.ow2.orchestra.pvm.internal.xml.Parse;


public class ProcessBinding extends ScopeBinding {

  public ProcessBinding() {
    super("process", ActivityType.PROCESS);
  }

  @Override
  protected Scope createScopeActivity() {
    return new org.ow2.orchestra.definition.activity.Process();
  }

  @Override
  public BpelActivityFullDefinition createActivityFullDefinition(final ProcessDefinitionUUID processDefinitionUUID,
    final ActivityDefinitionUUID activityDefinitionUUID, final String name, final Parse parse) {
    DefinitionKeeper definitionKeeper = parse.findObject(DefinitionKeeper.class);
    return definitionKeeper.getProcessFullDefinition();
  }
}
