/**
 * Copyright (C) 2006-2009  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.persistence;

import java.util.List;
import java.util.Set;

import javax.xml.namespace.QName;

import org.ow2.orchestra.facade.def.ProcessState;
import org.ow2.orchestra.facade.def.full.ActivityFullDefinition;
import org.ow2.orchestra.facade.def.full.ProcessFullDefinition;
import org.ow2.orchestra.facade.runtime.ActivityState;
import org.ow2.orchestra.facade.runtime.full.ActivityFullInstance;
import org.ow2.orchestra.facade.runtime.full.ProcessFullInstance;
import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;
import org.ow2.orchestra.facade.uuid.ActivityInstanceUUID;
import org.ow2.orchestra.facade.uuid.ProcessDefinitionUUID;
import org.ow2.orchestra.facade.uuid.ProcessInstanceUUID;
import org.ow2.orchestra.pvm.session.DbSession;

/**
 *
 * @author Gael Lalire
 */
public interface QuerierDbSession extends DbSession {

  // Querier : definition
  List<ProcessFullDefinition> findProcessDefinition(ProcessState state);

  List<ProcessFullDefinition> findProcessDefinition(QName name);

  List<ProcessFullDefinition> findProcessDefinition();

  List<ProcessFullDefinition> findProcessDefinition(QName name, ProcessState state);

  // Querier : Process

  Set<ProcessFullInstance> findProcessInstance();

  Set<ProcessFullInstance> findProcessInstance(ProcessDefinitionUUID processDefinitionUUID);

  Set<ProcessFullInstance> findProcessInstance(ProcessDefinitionUUID processDefinitionUUID,
    ActivityState processInstanceState);

  Set<ProcessFullInstance> findProcessInstance(ActivityState processInstanceState);

  // Querier : Activity

  Set<ActivityFullInstance> findActivityInstance(ProcessInstanceUUID processUUID);

  Set<ActivityFullInstance> findActivityInstance(ProcessInstanceUUID processUUID, ActivityState activityState);

  // Finder

  ProcessFullInstance getProcessInstance(ProcessInstanceUUID processInstanceUUID);

  ActivityFullInstance getActivityInstance(ActivityInstanceUUID activityInstanceUUID);

  ProcessFullDefinition getProcessDefinition(ProcessDefinitionUUID processDefinitionUUID);

  ActivityFullDefinition getActivityDefinition(ActivityDefinitionUUID activityDefinitionUUID);



}
