package org.ow2.orchestra.persistence.db.hibernate;

import java.io.Serializable;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Types;

import javax.xml.namespace.QName;

import org.hibernate.usertype.UserType;

public class QNameUserType implements UserType {

  private static final int[] SQL_TYPES = new int[] { Types.VARCHAR, Types.VARCHAR };

  public Object assemble(Serializable cached, Object owner) {
    return cached;
  }

  public Object deepCopy(Object o) {
    return o;
  }

  public Serializable disassemble(Object o) {
    return (Serializable) o;
  }

  public boolean equals(Object x, Object y) {
    if (x == null) {
      return y == null;
    }
    return x.equals(y);
  }

  public int hashCode(Object o) {
    return o.hashCode();
  }

  public boolean isMutable() {
    return false;
  }

  public Object nullSafeGet(ResultSet resultSet, String[] names, Object owner)
    throws SQLException {
    String namespaceUri = resultSet.getString(names[0]);
    String localPart = resultSet.getString(names[1]);
    if (localPart == null) {
      return null;
    }
    if (namespaceUri == null) {
      return new QName(localPart);
    }
    return new QName(namespaceUri, localPart);
  }

  public void nullSafeSet(PreparedStatement preparedStatement, Object value,
      int index) throws SQLException {
    if (value != null) {
      QName qName = (QName) value;
      preparedStatement.setString(index, qName.getNamespaceURI());
      preparedStatement.setString(index + 1, qName.getLocalPart());
    } else {
      preparedStatement.setString(index, null);
      preparedStatement.setString(index + 1, null);
    }
  }

  public Object replace(Object original, Object target, Object owner) {
    return target;
  }

  public Class returnedClass() {
    return QName.class;
  }

  public int[] sqlTypes() {
    return SQL_TYPES;
  }

}
