/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.runtime;

import org.ow2.orchestra.facade.data.runtime.TransitionConditionUpdateData;
import org.ow2.orchestra.facade.uuid.ActivityInstanceUUID;
import org.ow2.orchestra.util.EnvTool;


/**
 * @author Charles Souillard
 */
public class LinkRuntime {

  /** status of this link. */
  private Boolean status = null;

  private String name;

  /**
   * execution that waits for this link. Null if no one is waiting for this
   * link.
   */
  private BpelExecution waitingExecution = null;

  private ActivityInstanceUUID flowActivityInstanceUUID;

  protected LinkRuntime() {
  }

  public LinkRuntime(final String name, final ActivityInstanceUUID flowActivityInstanceUUID) {
    this.name = name;
    this.flowActivityInstanceUUID = flowActivityInstanceUUID;
  }

  public Boolean getStatus() {
    return this.status;
  }

  public void setStatus(final Boolean status) {
    this.status = status;
    EnvTool.getRecorder().recordTransitionConditionUpdated(
      new TransitionConditionUpdateData(flowActivityInstanceUUID, status, name));
  }

  public BpelExecution getWaitingExecution() {
    return this.waitingExecution;
  }

  public void setWaitingExecution(final BpelExecution waitingExecution) {
    this.waitingExecution = waitingExecution;
  }
}
