/**
 * Copyright (C) 2008 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

/**
 *
 */
package org.ow2.orchestra.services;

import org.ow2.orchestra.runtime.BpelExecution;

class ExecElementToSignal {
  private final BpelExecution bpelExecution;
  private final ReceivingElement receivingElement;
  private final PendingMessage pendingMessage;
  private final boolean newInstance;

  public BpelExecution getBpelExecution() {
    return this.bpelExecution;
  }
  public ReceivingElement getReceivingElement() {
    return this.receivingElement;
  }
  public PendingMessage getPendingMessage() {
    return this.pendingMessage;
  }
  public boolean isNewInstance() {
    return this.newInstance;
  }
  public ExecElementToSignal(final BpelExecution bpelExecution,
      final ReceivingElement receivingElement, final PendingMessage pendingMessage) {
    this(bpelExecution, receivingElement, pendingMessage, false);
  }

  public ExecElementToSignal(final BpelExecution bpelExecution,
      final ReceivingElement receivingElement, final PendingMessage pendingMessage, final boolean newInstance) {
    this.bpelExecution = bpelExecution;
    this.receivingElement = receivingElement;
    this.pendingMessage = pendingMessage;
    this.newInstance = newInstance;
  }
}