/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.services;

import org.ow2.orchestra.pvm.internal.util.EqualsUtil;
import org.ow2.orchestra.var.MessageVariable;

/**
 * @author Charles Souillard
 */
public class PendingMessage {

  protected long dbid;

  protected int dbversion;

  protected MessageVariable message;

  protected Receiver receiver;

  protected String messageCarrierId;

  protected PendingMessage() {
    super();
  }

  protected PendingMessage(final MessageVariable message, final String messageCarrierId, final Receiver receiver) {
    super();
    this.message = message;
    this.messageCarrierId = messageCarrierId;
    this.receiver = receiver;
  }

  @Override
  public String toString() {
    return "message = " + this.message.toString() + ", messageCarrier = "
        + this.messageCarrierId;
  }

  public MessageVariable getMessage() {
    return this.message;
  }

  public String getMessageCarrierId() {
    return this.messageCarrierId;
  }

  public OperationKey getOperationKey() {
    return this.receiver.getOperationKey();
  }

  public Receiver getReceiver() {
    return this.receiver;
  }

  public long getDbid() {
    return this.dbid;
  }

  // equals ///////////////////////////////////////////////////////////////////
  // hack to support comparing hibernate proxies against the real objects
  // since this always falls back to ==, we don't need to overwrite the hashcode
  @Override
  public boolean equals(final Object o) {
    return EqualsUtil.equals(this, o);
  }
  @Override
  public int hashCode() {
    return super.hashCode();
  }
}
