/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.services;

import java.util.List;

import javax.xml.namespace.QName;

import org.ow2.orchestra.definition.element.Copy;
import org.ow2.orchestra.definition.element.Correlation;
import org.ow2.orchestra.definition.element.Variable;

/**
 * @author Charles Souillard
 *         Every element being an activity or an element)
 *         being able to receive a message to receive a message must implement
 *         this interface. For exemple : receive, pick, onEvent
 */
public interface ReceivingElement {

  List<Correlation> getCorrelations();

  String getPartnerLinkName();

  String getOperation();

  String getMessageExchange();

  QName getPortTypeQName();

  OperationKey getOperationKey();

  String getVariable();

  List<Copy> getInCopies();
  Variable getAnonymousInboundMessageVariable();

}
