/**
 * Copyright (C) 2008 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.services.handlers;

import org.ow2.orchestra.facade.def.ProcessDefinition;

/**
 * Specifies a handler for undeployed processes.
 *
 * When a process is undeployed, a {@link UndeployedProcessHandler} is taken from
 * the environment, and the method handleUndeployedProcess is called.
 *
 * @author Alfonso Fuca
 *
 */
public interface UndeployedProcessHandler {

  String DEFAULT_KEY = "undeployed-process-handler";

  /**
   * This method is called when a process is undeployed.
   *
   * @param processDefinition all data corresponding to a process
   */
  void handleUndeployedProcess(ProcessDefinition processDefinition);

}
