package org.ow2.orchestra.services.impl;

import javax.xml.namespace.QName;

import org.ow2.orchestra.services.MessageCarrierRepository;
import org.ow2.orchestra.services.ReplierKey;
import org.ow2.orchestra.services.itf.Replier;
import org.ow2.orchestra.var.MessageVariable;

public class ReplierImpl implements Replier {

  protected long dbid;

  // ///////////////////////////////////////////////////////////////////////////
  // REPLIER
  // ///////////////////////////////////////////////////////////////////////////
  protected ReplierKey replierKey;

  protected ReplierImpl() {
    // default constructor
  }

  public ReplierImpl(final ReplierKey replierKey) {
    this.replierKey = replierKey;
  }

  public void reply(final MessageVariable message) {
    MessageCarrierRepository.associateMessage(this.replierKey, message);
  }

  public void replyWithFault(final QName faultQName, final MessageVariable message) {
    MessageCarrierRepository.associateFaultMessage(this.replierKey, faultQName, message);
  }

  public long getDbid() {
    return this.dbid;
  }

  public ReplierKey getReplierKey() {
    return this.replierKey;
  }
}
