package org.ow2.orchestra.services.itf;

import org.ow2.orchestra.definition.BpelProcess;
import org.ow2.orchestra.pvm.env.Environment;

/**
 * publishes the services for a given
 *
 * @{link BpelProcess}.
 *
 * @author Tom Baeyens
 */
public interface Publisher {

  /** key to use to find an object in the wiring context. */
  String DEFAULT_KEY = "servicePublisher";

  /**
   * Publishes services of the given bpel proces (only those that the bpel file
   * can handle (it means those having a corresponding activity in there).
   *
   * @param bpelProcess
   *            bpelProcess to analyse (to deploy every services defined)
   * @param environment
   *            environment
   */
  void publishServices(BpelProcess bpelProcess, Environment environment);

  void unpublishServices(BpelProcess bpelProcess, Environment environment);

  void republishServices(BpelProcess bpelProcess, Environment environment);

}
