/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the JBPM BPEL PUBLIC LICENSE AGREEMENT as
 * published by JBoss Inc.; either version 1.0 of the License, or
 * (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
package org.ow2.orchestra.util;

import java.io.Serializable;

/**
 * XML namespace declaration (prefix-URI pair).
 *
 * @author Alejandro Guizar
 * @version $Revision: 1.2 $ $Date: 2007/01/22 00:24:55 $
 */
public class Namespace implements Serializable {

  protected long dbid;

  protected String uri;

  protected String prefix;

  private static final long serialVersionUID = 1L;

  Namespace() {
  }

  public Namespace(final String prefix, final String uri) {
    this.uri = uri;
    this.prefix = prefix;
  }

  public String getPrefix() {
    return this.prefix;
  }

  public String getURI() {
    return this.uri;
  }

  @Override
  public boolean equals(final Object obj) {
    if (!(obj instanceof Namespace)) {
      return false;
    }
    final Namespace that = (Namespace) obj;
    return this.uri.equals(that.uri) && this.prefix.equals(that.prefix);
  }

  @Override
  public int hashCode() {
    return this.uri.hashCode() ^ this.prefix.hashCode();
  }

  @Override
  public String toString() {
    return "namespace[" + this.prefix + "=" + this.uri + "]";
  }
}
