/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.wsdl;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

import javax.xml.namespace.QName;

/**
 * @author Goulven Le Jeune, Charles Souillard, Candy Chlad, Stanislas Giraudet
 *         De Boudemange, Tom Baeyens
 */
public class PartnerLinkType implements Serializable {

  /** serialVersionUID. */
  private static final long serialVersionUID = 1L;

  protected QName name = null;

  protected Map<String, QName> roles = null;

  private PartnerLinkType() {
    super();
  }

  public PartnerLinkType(QName name) {
    this.name = name;
  }

  /**
   * Add a role to this plnk.
   * 
   * @param roleName -
   *            the role to add
   * @param portTypeQName
   *            portType associated to the given roleName
   */
  public void addRole(String roleName, QName portTypeQName) {
    if (this.roles == null) {
      this.roles = new HashMap<String, QName>();
    }
    this.roles.put(roleName, portTypeQName);
  }

  public QName getPortTypeQName(String roleName) {
    if (roles == null) {
      return null;
    }
    return roles.get(roleName);
  }

  public QName getName() {
    return this.name;
  }
}
